Bug 1188171 - ldc broken on 32 bit x86: libdruntime-ldc-debug.so: undefined reference to `__mulodi4'
Summary: ldc broken on 32 bit x86: libdruntime-ldc-debug.so: undefined reference to `_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ldc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 08:55 UTC by Richard W.M. Jones
Modified: 2015-10-01 16:05 UTC (History)
2 users (show)

Fixed In Version: ldc-0.16.0.alpha3-76.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 16:05:36 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2015-02-02 08:55:18 UTC
Description of problem:

Linking fails on 32 bit x86 (succeeds on 64 bit x86-64).

+ ldc2 -release -w -g -O3 avgtime.d
/usr/lib/gcc/i686-redhat-linux/4.9.2/../../../libdruntime-ldc-debug.so: undefined reference to `__mulodi4'
collect2: error: ld returned 1 exit status
Error: /usr/bin/gcc failed with status: 1

Full build failure is here:

https://kojipkgs.fedoraproject.org//work/tasks/2002/8792002/build.log

If you look at the build you'll see that the 64 bit build
was successful:

http://koji.fedoraproject.org/koji/taskinfo?taskID=8791986

There is an upstream bug about this with no resolution so far:

https://github.com/ldc-developers/ldc/issues/836

Version-Release number of selected component (if applicable):

ldc 1:0.15.1-65.fc22

How reproducible:

100%

Steps to Reproduce:
1. Try to build/link any program on 32 bit x86.

Comment 1 Fedora Admin XMLRPC Client 2015-02-17 03:17:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jaroslav Reznik 2015-03-03 16:48:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Update System 2015-09-20 20:27:10 UTC
derelict-3-33.20150730git10a517b.fc23 gtkd-3.1.4-52.fc23 dustmite-1-25.20150515git3498068.fc23 ldc-0.16.0.alpha3-76.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16259

Comment 4 Fedora Update System 2015-09-21 18:52:26 UTC
derelict-3-33.20150730git10a517b.fc23, dustmite-1-25.20150515git3498068.fc23, gtkd-3.1.4-52.fc23, ldc-0.16.0.alpha3-76.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dustmite gtkd derelict ldc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16259

Comment 5 Fedora Update System 2015-10-01 16:05:17 UTC
derelict-3-33.20150730git10a517b.fc23, dustmite-1-25.20150515git3498068.fc23, gtkd-3.1.4-52.fc23, ldc-0.16.0.alpha3-76.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.